Public Class NumericTextBox
    Inherits TextBox

    Public Sub New()
        MyBase.New()
    End Sub

    Private _bolNumeric As Boolean
    Public Property Numeric() As Boolean
        Get
            Return _bolNumeric
        End Get
        Set(ByVal value As Boolean)
            _bolNumeric = value
        End Set
    End Property


    Private Sub NumericTextBox_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress
        ' e.Handled = True -> NumericTextBox hat Ereignis bereits behandelt
        ' e.Handled = False -> Basisklasse Textbox soll Ereignis weiterbehandeln
    End Sub
End Class
